EngageOne

Expand all | Collapse all

Doc1 V4 migration to EngageOne

  • 1.  Doc1 V4 migration to EngageOne

    Posted 6 days ago
    Hi,

    We have an old Banking customer in Belgium that is still on mainframe Doc1 (v4).
    Because of cost saving they want to move to Windows.

    However they have 2000 templates and bad experiences with moving from 3 to 4 in the 2010 era.
    So the possible prospect of having to rebuild all has already motivated them to look at our competitors.

    What is the best solution as there is no automatic template migration from Doc1 version 4 to EngageOne?

    We heard something of a V4 mode being present still in V6? Or are there more automated tools available?
    Or could we facilitate a temp solution on windows with an older version and migrate template by template on a need to have basis only?

    Any input is appreciated, as we want to keep them on board.

    Patrick.

    ------------------------------
    Patrick Roelandt
    Document Dialog B.V.
    Bunnik
    ------------------------------


  • 2.  RE: Doc1 V4 migration to EngageOne

    Pitney Bowes
    Posted 5 days ago

    These posts may point direction if templates can be somehow upgraded to version 6.x

    https://community.pitneybowes.com/communities/communityhome/digestviewer/viewthread?MessageKey=767e7b1c-090c-4e60-8a65-9e3382838ddf&CommunityKey=c25c7203-1b5a-4b43-b132-098692003c48&tab=digestviewer#bm767e7b1c-090c-4e60-8a65-9e3382838ddf

     

    https://community.pitneybowes.com/communities/communityhome/digestviewer/viewthread?MessageKey=8bd20ad3-0b4e-4cba-8a70-7f678aa6a2f1&CommunityKey=c25c7203-1b5a-4b43-b132-098692003c48&tab=digestviewer#bm8bd20ad3-0b4e-4cba-8a70-7f678aa6a2f1

     regards
    Tomasz Kupka

    regards

    Tomasz K



    ------------------------------
    Tomasz Kupka
    Knowledge Community Shared Account
    Shelton CT
    ------------------------------



  • 3.  RE: Doc1 V4 migration to EngageOne

    Pitney Bowes
    Posted 5 days ago

    DOC1 4.x migration to EngageOne Designer / Generate 6.x options

    The following options are available when migrating DOC1 Series 3.x/4.x  LAR / LOL / LFL / LDF Design and Data resources.


    Re:  "Are there more automated tools available ?"  
    DOC1 4.x Text Migration Tool - LAR2XSL (Not recommended)
    Some years ago we trialed a DOC1 3.x / 4.x LFL /LOL Text migration tool to the then DOC1 Series 5 Designer.

    The approach taken by this Text migration tool - LAR2XSL - was to convert the Text contained in the DOC1 3.x LFL / DOC1 4.x LOL to an intermediate XSL-FO format and then use the Current Designer Client's APPIMPORT Tool to subsequently import this intermediate XSL-FO format.

    We found that this approach did not meet customer's requirements due to the following drawbacks:
    - No support for DOC1 3.x /4.x  .LAR (Larmeta Application Rules) Application logic migration
    - All "Firm Data" Text in .LFL / .LOL  Text libraries ended up in separate 5.x Text Boxes / Active Contents.
    - All Text Data references were lost

    Because of the above severe limitations , this approach was discontinued with the recommended approach being either to copy the Text from the DOC1 4.x LFL / LOL to Current Designer or manually redo the application.


    DOC1 3.x / 4.x - Data Format migration
    DOC1 3.x / 4.x "Keyed Data" Larmeta Data Format - .LDF can be migrated into EngageOne Designer 6.x versions using the Designer Client option :

    "Tasks / Import / Legacy Data Format"

    - Once the Keyed Data .LDF file is imported , you will be prompted to Import the matching Sample Data file.

    LDF Import Restriction
    - DOC1 4.x .LDF formats for :

    - XML
    - SAP/RDI

    .. are not supported for migration to EngageOne Designer 6.x


    Re: "We heard something of a V4 mode being present still in V6 ?"
    EngageOne Generate 6.x invoking DOC1 4.x Generate (Not recommended)

    When DOC1 5.x Generate was first introduced in 2004 , at that time the DOC1 4.x and replacement 5.x Generate platforms were synchronised to use the same Operating System levels e.g Windows 2000 .

    As an "interim" solution whilst 3.x / 4.x Applications were being rewritten , DOC1 5.x Generate (DOC1GEN) allowed the invocation of the older DOC1 4.x Generate executable (DOC1EMFE) which would call only the DOC1 4.x INI file and matching published resources such as EAR , EFL , EDF , RPK , etc.

    This is achieved using the DOC1GEN command line option :

    DOC1GEN INI=Name_Of_My_4x_EMFE.ini

    .. which relies on the 4.X DOC1EMFE executable also being present in the DOC1GEN directory

    As time has moved on however, NONE of the Modern Generate 6.x supported host Operating System levels (e.g Windows 10) are supported / certified for use by the older DOC1 4.x DOC1EMFE and utilities executables.

    We would strongly recommend against using this approach as there is no DOC1 4.x support for either the Modern O/S levels or for any software issues.


    Summary and Recommendation
    There is no usable automated migration from DOC1 4.x to later versions.

    DOC1 4.x applications would need to be rewritten in EngageOne Designer 6.x

    Given the nature of the upgrade (rewrite)  , you may need to contact the account manager to see if there is a possibility of a Professional Services involvement to do the rewrite.





    ------------------------------
    Paul Barron
    Principal QA
    EngageOne Compose (Designer / Generate)
    Watford, United Kingdom
    ------------------------------